<button (click)="get()">Get Data</button>

<br>

{{ d | json }}

<br>

<input type="text" [(ngModel)]="postBody.title">
<input type="text" [(ngModel)]="postBody.author">
<button (click)="post()">Submit</button>
